package io.onetouch.slot.seatreasure.teststatic;

import lombok.Getter;

@SuppressWarnings("CStyleArrayDeclaration")
@Getter
public class SeaTreasureStaticExpectedData {

    int normalReelData[][] = {
            {8, 8, 8, 8, 8},
            {8, 8, 8, 8, 8},
            {8, 8, 8, 8, 8},
            {8, 8, 8, 8, 8},
            {8, 8, 8, 8, 8},
            {8, 8, 8, 8, 8},
            {8, 8, 8, 8, 8},
            {8, 8, 8, 8, 8},
            {8, 8, 8, 8, 8},
            {11, 3, 8, 10, 8},
            {3, 3, 10, 9, 8},
            {3, 10, 3, 9, 8},
            {9, 7, 3, 9, 11},
            {9, 7, 11, 9, 9},
            {9, 7, 7, 9, 9},
            {9, 7, 7, 9, 9},
            {9, 7, 7, 9, 9},
            {9, 7, 7, 9, 9},
            {9, 7, 7, 9, 9},
            {9, 7, 7, 9, 9},
            {9, 2, 1, 9, 9},
            {2, 2, 1, 7, 9},
            {2, 10, 11, 7, 9},
            {11, 1, 6, 7, 9},
            {7, 1, 6, 7, 9},
            {7, 6, 6, 7, 11},
            {7, 6, 6, 7, 5},
            {7, 6, 6, 7, 5},
            {7, 6, 6, 7, 5},
            {7, 6, 6, 7, 5},
            {7, 6, 6, 7, 5},
            {7, 6, 6, 7, 5},
            {1, 6, 10, 6, 5},
            {1, 0, 0, 6, 5},
            {6, 0, 0, 6, 5},
            {6, 0, 10, 6, 5},
            {6, 9, 9, 6, 5},
            {6, 9, 9, 6, 5},
            {6, 9, 9, 6, 5},
            {6, 9, 9, 6, 6},
            {6, 9, 9, 5, 6},
            {6, 9, 9, 5, 6},
            {0, 9, 10, 5, 6},
            {0, 9, 9, 5, 6},
            {0, 9, 9, 5, 6},
            {5, 4, 11, 5, 6},
            {5, 4, 3, 5, 6},
            {5, 4, 3, 5, 6},
            {5, 10, 3, 5, 6},
            {5, 3, 3, 0, 7},
            {5, 3, 3, 0, 7},
            {5, 3, 3, 0, 7},
            {5, 3, 3, 10, 7},
            {5, 3, 10, 3, 7},
            {4, 3, 4, 3, 7},
            {4, 3, 4, 3, 7},
            {4, 3, 4, 3, 7},
            {11, 9, 4, 3, 7},
            {7, 9, 4, 3, 0},
            {7, 10, 4, 3, 0},
            {7, 1, 10, 3, 0},
            {7, 1, 6, 3, 0},
            {7, 1, 6, 3, 0},
            {3, 1, 10, 9, 0},
            {3, 1, 7, 9, 0},
            {3, 1, 7, 2, 0},
            {3, 1, 7, 2, 0},
            {3, 7, 7, 10, 0},
            {3, 7, 7, 1, 0},
            {3, 7, 11, 1, 0},
            {3, 7, 1, 10, 0},
            {9, 7, 1, 1, 0},
            {9, 5, 1, 1, 11},
            {11, 5, 1, 1, 1},
            {1, 5, 1, 1, 1},
            {1, 5, 1, 1, 11},
            {1, 5, 11, 1, 4},
            {1, 5, 5, 1, 4},
            {1, 5, 5, 4, 11},
            {1, 5, 5, 4, 3},
            {1, 5, 5, 4, 3},
            {5, 10, 5, 10, 3},
            {5, 6, 5, 10, 3},
            {0, 6, 5, 10, 3},
            {0, 10, 5, 10, 3},
            {0, 2, 4, 10, 3},
            {0, 2, 4, 0, 3},
            {0, 2, 4, 0, 3},
            {0, 2, 4, 0, 3},
            {0, 2, 8, 0, 3},
            {0, 2, 8, 0, 2},
            {11, 2, 2, 0, 2},
            {6, 8, 2, 0, 2},
            {6, 8, 2, 0, 2},
            {11, 4, 2, 0, 2},
            {2, 4, 2, 2, 2},
            {2, 4, 2, 2, 2},
            {2, 4, 2, 2, 2},
            {2, 5, 2, 2, 2},
            {2, 5, 2, 2, 2},
            {2, 0, 2, 2, 2},
            {2, 0, 5, 2, 2},
            {8, 0, 5, 6, 2},
            {8, 0, 5, 6, 4},
            {4, 0, 5, 6, 4},
            {4, 0, 5, 6, 4},
            {4, 0, 5, 4, 4},
            {4, 0, 3, 4, 4},
            {5, 6, 3, 4, 4},
            {5, 6, 3, 4, 4},
            {3, 0, 6, 4, 4},
            {3, 0, 6, 4, 4},
            {3, 0, 11, 4, 4},
            {6, 7, 0, 5, 4},
            {6, 7, 0, 5, 4},
            {0, 1, 0, 5, 4},
            {0, 1, 0, 5, 1},
            {0, 1, 0, 5, 1},
            {7, 5, 0, 5, 1},
            {7, 5, 0, 4, 1},
            {1, 2, 0, 4, 1},
            {1, 2, 0, 4, 1},
            {1, 2, 0, 4, 1},
            {5, 5, 1, 3, 1},
            {5, 5, 1, 3, 1},
            {2, 3, 1, 3, 1},
            {2, 3, 7, 3, 1},
            {2, 3, 7, 3, 1},
            {3, 4, 0, 2, 1},
            {1, 0, 1, 4, 0},
            {11, 1, 11, 3, 3},
            {4, 6, 0, 6, 7},
            {3, 5, 7, 7, 2},
            {2, 8, 3, 5, 4},
            {1, 3, 0, 1, 1},
            {0, 4, 4, 0, 0},
            {2, 3, 0, 3, 11},
            {6, 1, 10, 10, 1},
            {1, 10, 1, 8, 3},
            {11, 9, 2, 0, 2},
            {4, 3, 3, 2, 0},
            {4, 0, 0, 4, 6},
            {0, 3, 2, 8, 1},
            {1, 4, 8, 5, 5},
            {2, 5, 0, 7, 2},
            {9, 1, 11, 3, 1},
            {5, 6, 0, 1, 4},
            {3, 1, 4, 4, 0},
            {1, 3, 1, 0, 7},
            {4, 0, 2, 8, 5},
            {7, 4, 10, 4, 6},
            {6, 7, 5, 7, 0},
            {1, 10, 0, 2, 4},
            {3, 5, 3, 1, 8},
            {2, 0, 1, 0, 6},
            {2, 4, 6, 10, 5},
            {5, 3, 7, 1, 3},
            {0, 2, 5, 10, 2},
            {4, 5, 4, 4, 1},
            {0, 8, 1, 0, 7},
            {7, 7, 3, 3, 2},
            {5, 4, 8, 1, 5},
            {7, 0, 5, 0, 3},
            {0, 3, 6, 4, 0},
            {1, 2, 2, 6, 4},
            {0, 5, 0, 5, 11},
            {11, 6, 9, 8, 1},
            {3, 7, 2, 2, 2},
            {3, 4, 11, 0, 3},
            {0, 4, 4, 4, 0},
            {8, 1, 1, 1, 1},
            {5, 0, 1, 8, 2},
            {8, 3, 2, 10, 1},
            {1, 10, 0, 2, 5},
            {3, 8, 7, 0, 4},
            {1, 2, 10, 4, 8},
            {6, 0, 3, 3, 2},
            {0, 3, 0, 2, 4},
            {4, 2, 2, 1, 0},
            {0, 7, 6, 7, 2},
            {1, 4, 8, 3, 4},
            {5, 6, 7, 6, 6},
            {6, 0, 4, 1, 5},
            {8, 2, 1, 3, 8},
            {0, 1, 2, 2, 3},
            {2, 4, 3, 0, 0},
            {9, 9, 9, 9, 9},
            {9, 9, 9, 9, 9},
            {9, 9, 9, 9, 9},
            {2, 0, 4, 4, 2},
            {1, 3, 1, 0, 0},
            {2, 2, 2, 1, 3}
    };

    int freeSpinReelData[][] = {
            {8, 8, 8, 8, 8},
            {8, 8, 8, 8, 8},
            {8, 8, 8, 8, 8},
            {8, 8, 8, 8, 8},
            {8, 8, 8, 8, 8},
            {8, 8, 8, 8, 8},
            {8, 8, 8, 8, 8},
            {8, 10, 10, 8, 8},
            {8, 10, 10, 8, 8},
            {12, 10, 10, 10, 1},
            {3, 10, 10, 10, 1},
            {3, 10, 3, 10, 1},
            {3, 7, 3, 10, 12},
            {9, 7, 3, 10, 7},
            {9, 7, 12, 10, 7},
            {9, 7, 7, 10, 7},
            {9, 7, 7, 9, 9},
            {9, 7, 7, 9, 9},
            {9, 7, 7, 9, 9},
            {9, 7, 7, 9, 9},
            {9, 10, 1, 9, 9},
            {2, 10, 1, 9, 9},
            {2, 10, 12, 9, 6},
            {12, 10, 6, 9, 6},
            {7, 10, 6, 7, 6},
            {7, 6, 6, 7, 12},
            {7, 6, 6, 7, 5},
            {7, 6, 6, 7, 5},
            {7, 6, 6, 7, 5},
            {7, 6, 6, 7, 5},
            {7, 6, 6, 7, 5},
            {7, 6, 6, 7, 5},
            {1, 6, 10, 6, 5},
            {1, 9, 0, 6, 5},
            {5, 9, 0, 6, 5},
            {5, 9, 10, 6, 5},
            {5, 9, 9, 6, 5},
            {5, 9, 9, 6, 5},
            {5, 9, 9, 6, 5},
            {5, 9, 9, 6, 6},
            {5, 9, 9, 5, 6},
            {5, 9, 9, 5, 6},
            {12, 9, 10, 5, 6},
            {0, 9, 9, 5, 6},
            {0, 9, 9, 5, 6},
            {6, 10, 12, 5, 6},
            {6, 10, 3, 5, 6},
            {6, 10, 3, 5, 6},
            {6, 10, 10, 5, 6},
            {6, 10, 10, 10, 7},
            {6, 10, 10, 10, 7},
            {6, 10, 10, 10, 7},
            {6, 10, 10, 10, 7},
            {6, 10, 10, 10, 7},
            {4, 10, 10, 10, 7},
            {4, 10, 10, 10, 7},
            {4, 1, 10, 10, 7},
            {12, 1, 10, 3, 7},
            {0, 9, 10, 3, 12},
            {0, 7, 6, 3, 0},
            {0, 7, 6, 3, 0},
            {7, 7, 6, 3, 0},
            {7, 10, 6, 3, 0},
            {7, 10, 10, 9, 0},
            {7, 10, 7, 9, 0},
            {7, 10, 7, 2, 0},
            {12, 10, 7, 2, 12},
            {3, 7, 7, 10, 5},
            {3, 7, 7, 0, 5},
            {3, 7, 12, 0, 5},
            {3, 7, 1, 0, 5},
            {9, 7, 1, 10, 5},
            {9, 5, 1, 10, 12},
            {12, 5, 1, 10, 1},
            {1, 5, 1, 1, 1},
            {1, 5, 1, 1, 12},
            {1, 5, 12, 1, 4},
            {12, 5, 5, 1, 4},
            {1, 5, 5, 4, 12},
            {1, 5, 5, 4, 3},
            {1, 6, 5, 4, 3},
            {5, 6, 5, 10, 3},
            {5, 6, 5, 10, 6},
            {5, 6, 5, 10, 6},
            {5, 6, 5, 10, 6},
            {7, 10, 4, 10, 3},
            {7, 10, 4, 0, 3},
            {7, 10, 4, 0, 3},
            {0, 10, 4, 0, 3},
            {0, 10, 8, 0, 12},
            {0, 8, 8, 0, 2},
            {12, 8, 8, 0, 2},
            {6, 8, 8, 2, 2},
            {6, 8, 2, 2, 2},
            {6, 5, 2, 2, 2},
            {6, 5, 2, 2, 2},
            {12, 5, 12, 2, 12},
            {2, 5, 0, 10, 2},
            {2, 5, 0, 10, 2},
            {2, 5, 0, 10, 2},
            {8, 6, 10, 10, 2},
            {8, 6, 10, 10, 2},
            {8, 6, 10, 6, 12},
            {4, 6, 10, 6, 4},
            {4, 6, 5, 6, 4},
            {4, 6, 5, 6, 4},
            {12, 6, 5, 4, 4},
            {5, 6, 3, 4, 4},
            {5, 6, 3, 4, 4},
            {5, 6, 3, 4, 12},
            {3, 1, 6, 4, 4},
            {3, 1, 6, 4, 4},
            {3, 1, 6, 4, 4},
            {6, 7, 6, 5, 4},
            {6, 7, 12, 5, 4},
            {6, 3, 0, 5, 4},
            {0, 3, 0, 5, 7},
            {0, 3, 0, 5, 7},
            {0, 5, 0, 5, 7},
            {7, 5, 0, 4, 8},
            {7, 5, 0, 4, 8},
            {7, 5, 0, 4, 8},
            {1, 2, 12, 4, 8},
            {1, 2, 1, 3, 1},
            {1, 2, 1, 3, 1},
            {5, 0, 1, 3, 1},
            {5, 0, 7, 3, 1},
            {5, 0, 7, 3, 1},
            {3, 4, 7, 2, 12},
            {1, 1, 1, 4, 0},
            {12, 3, 12, 3, 3},
            {4, 6, 0, 6, 7},
            {3, 5, 7, 7, 2},
            {2, 8, 7, 5, 12},
            {1, 0, 7, 1, 1},
            {0, 4, 3, 0, 0},
            {2, 0, 4, 3, 12},
            {6, 3, 10, 10, 1},
            {1, 10, 1, 8, 3},
            {12, 9, 2, 0, 2},
            {4, 0, 12, 2, 0},
            {4, 1, 0, 4, 6},
            {0, 0, 2, 8, 1},
            {1, 4, 8, 5, 5},
            {12, 5, 0, 7, 2},
            {9, 3, 12, 3, 1},
            {5, 6, 0, 1, 12},
            {3, 3, 4, 4, 0},
            {1, 0, 10, 0, 7},
            {4, 1, 10, 8, 5},
            {7, 4, 10, 4, 6},
            {6, 7, 5, 7, 0},
            {12, 10, 0, 2, 4},
            {3, 5, 12, 1, 8},
            {2, 1, 1, 0, 6},
            {2, 4, 6, 10, 5},
            {5, 0, 7, 1, 12},
            {0, 2, 5, 10, 2},
            {4, 5, 12, 4, 1},
            {0, 8, 1, 0, 7},
            {7, 7, 3, 3, 2},
            {5, 4, 8, 1, 5},
            {7, 1, 5, 0, 12},
            {0, 0, 6, 4, 0},
            {1, 2, 2, 6, 4},
            {0, 5, 0, 5, 12},
            {12, 6, 9, 8, 1},
            {3, 7, 2, 2, 2},
            {3, 4, 12, 0, 3},
            {0, 4, 4, 4, 12},
            {8, 3, 1, 1, 1},
            {5, 1, 1, 8, 2},
            {8, 0, 2, 10, 1},
            {1, 10, 12, 2, 5},
            {3, 8, 7, 0, 4},
            {1, 2, 10, 4, 8},
            {6, 1, 3, 3, 2},
            {12, 0, 0, 2, 4},
            {4, 2, 12, 1, 12},
            {0, 7, 6, 7, 2},
            {1, 4, 8, 3, 4},
            {5, 6, 7, 6, 6},
            {6, 1, 4, 1, 5},
            {8, 2, 1, 3, 8},
            {12, 3, 2, 2, 3},
            {2, 4, 3, 0, 0},
            {9, 9, 9, 9, 9},
            {9, 9, 9, 9, 9},
            {9, 9, 9, 9, 9},
            {2, 1, 4, 4, 12},
            {1, 0, 12, 0, 0},
            {2, 2, 2, 1, 3}
    };

    int payTable[][] = {
            {0, 0, 1, 5, 20}, // 0  10
            {0, 0, 1, 5, 20}, // 1  J
            {0, 0, 3, 10, 30}, // 2  Q
            {0, 0, 5, 20, 40}, // 3  K
            {0, 0, 5, 20, 40}, // 4  A
            {0, 0, 7, 25, 70}, // 5  Small fish
            {0, 0, 10, 30, 100}, // 6  Jellyfish
            {0, 0, 15, 40, 200}, // 7  Angler fish
            {0, 0, 25, 100, 500}, // 8  Sea dragon
            {0, 0, 50, 200, 1000}, // 9  Mermaid
            {0, 0, 0, 0, 0}, // 10 Wild
            {0, 0, 0, 0, 0}, // 11 Scatter
            {0, 0, 20, 20, 20}, // 12 Fall
            {0, 0, 20, 20, 20}          // 13 Guarantee
    };

    int lotCrashDiveTable96[] = {
            57536,
            3550,
            1550,
            1000,
            750,
            500,
            350,
            200,
            100
    };

    int lotCrashDiveTable94[] = {
            57536,
            4500,
            1250,
            750,
            600,
            400,
            300,
            150,
            50,
    };

    int lotCrashDiveTable92[] = {
            57536,
            5500,
            950,
            500,
            400,
            300,
            200,
            100,
            50
    };

    int lotCrashDiveTable[] = {
            57536,
            5500,
            950,
            500,
            400,
            300,
            200,
            100,
            50
    };

    int addCrashDiveTable[] = {
            0,
            3,
            4,
            5,
            6,
            7,
            8,
            9,
            10
    };

    int lotGuaranteeGameTabel[] = {
            21846,
            21845,
            21845
    };
    int guaranteeGameNum[] = {
            3,
            5,
            10
    };

    int normalStopNum[][] = {
            {150, 150, 150, 200, 175},
            {150, 150, 150, 200, 175},
            {100, 250, 250, 300, 250},
            {100, 250, 250, 300, 250},
            {100, 150, 150, 300, 200},
            {100, 100, 100, 200, 200},
            {100, 122, 122, 200, 200},
            {100, 100, 100, 150, 200},
            {100, 100, 100, 150, 150},
            {389, 150, 100, 90, 150},
            {389, 150, 50, 90, 150},
            {389, 278, 250, 90, 150},
            {167, 278, 250, 90, 175},
            {112, 278, 406, 150, 175},
            {150, 278, 306, 150, 175},
            {200, 170, 306, 150, 200},
            {200, 150, 300, 70, 200},
            {150, 100, 300, 70, 200},
            {150, 100, 200, 70, 200},
            {169, 278, 200, 70, 150},
            {200, 278, 200, 70, 150},
            {167, 278, 200, 100, 150},
            {120, 278, 406, 100, 100},
            {389, 278, 300, 380, 100},
            {389, 278, 306, 350, 100},
            {389, 350, 400, 350, 175},
            {300, 350, 338, 250, 175},
            {300, 350, 300, 250, 275},
            {300, 250, 300, 250, 150},
            {294, 250, 300, 250, 150},
            {250, 200, 300, 150, 150},
            {250, 194, 300, 150, 150},
            {250, 350, 250, 200, 150},
            {250, 350, 300, 200, 150},
            {300, 350, 450, 450, 150},
            {300, 300, 250, 400, 125},
            {300, 50, 50, 300, 100},
            {300, 50, 50, 250, 100},
            {250, 50, 120, 250, 100},
            {250, 50, 120, 250, 500},
            {350, 50, 120, 300, 400},
            {350, 50, 110, 350, 450},
            {281, 50, 50, 300, 200},
            {254, 50, 70, 300, 200},
            {300, 58, 70, 300, 200},
            {250, 50, 70, 200, 200},
            {250, 50, 50, 200, 200},
            {200, 600, 400, 200, 200},
            {350, 278, 550, 200, 200},
            {350, 278, 550, 300, 150},
            {350, 278, 500, 250, 150},
            {200, 400, 400, 300, 250},
            {150, 400, 400, 200, 250},
            {150, 400, 500, 200, 200},
            {250, 200, 380, 200, 200},
            {250, 200, 250, 500, 200},
            {1000, 200, 600, 500, 200},
            {389, 278, 600, 500, 200},
            {389, 278, 600, 450, 150},
            {389, 278, 620, 450, 150},
            {200, 278, 300, 450, 446},
            {200, 278, 250, 400, 300},
            {200, 400, 250, 400, 300},
            {300, 400, 200, 90, 300},
            {300, 300, 200, 90, 300},
            {250, 300, 200, 90, 300},
            {250, 300, 300, 90, 300},
            {150, 200, 300, 200, 300},
            {150, 180, 200, 200, 200},
            {150, 200, 428, 200, 200},
            {150, 180, 300, 200, 150},
            {167, 180, 600, 200, 150},
            {167, 200, 650, 200, 600},
            {167, 180, 650, 700, 600},
            {159, 250, 650, 580, 650},
            {200, 250, 650, 500, 600},
            {400, 200, 564, 500, 300},
            {378, 142, 220, 600, 700},
            {250, 100, 200, 450, 300},
            {250, 150, 400, 450, 300},
            {250, 150, 400, 450, 600},
            {250, 278, 300, 200, 300},
            {250, 278, 250, 200, 300},
            {300, 278, 250, 200, 300},
            {100, 278, 250, 300, 300},
            {500, 278, 300, 310, 300},
            {500, 278, 250, 200, 300},
            {500, 800, 650, 200, 250},
            {450, 800, 650, 450, 200},
            {439, 600, 300, 450, 200},
            {500, 600, 300, 450, 250},
            {450, 486, 300, 450, 400},
            {450, 350, 558, 450, 400},
            {450, 350, 700, 400, 350},
            {389, 350, 700, 486, 350},
            {389, 350, 700, 600, 350},
            {389, 1200, 700, 600, 350},
            {600, 1200, 600, 700, 350},
            {600, 300, 600, 700, 250},
            {476, 300, 600, 640, 250},
            {400, 300, 600, 600, 200},
            {400, 300, 450, 800, 170},
            {400, 250, 396, 350, 170},
            {400, 250, 350, 350, 200},
            {300, 250, 350, 350, 200},
            {250, 200, 200, 350, 200},
            {1000, 200, 200, 400, 200},
            {1110, 150, 304, 400, 150},
            {250, 450, 200, 500, 150},
            {233, 450, 550, 500, 150},
            {250, 450, 400, 500, 150},
            {250, 450, 350, 450, 150},
            {1000, 300, 400, 450, 150},
            {300, 200, 462, 200, 150},
            {250, 200, 550, 350, 150},
            {300, 200, 500, 300, 150},
            {250, 200, 500, 300, 650},
            {500, 636, 400, 250, 500},
            {250, 300, 400, 250, 500},
            {200, 300, 389, 400, 150},
            {350, 222, 350, 350, 150},
            {350, 202, 300, 500, 150},
            {350, 700, 300, 500, 150},
            {250, 300, 600, 700, 150},
            {200, 300, 600, 700, 150},
            {200, 300, 650, 400, 150},
            {150, 300, 168, 400, 150},
            {900, 250, 160, 400, 150},
            {1005, 1500, 150, 800, 150},
            {1000, 1500, 150, 600, 800},
            {420, 822, 600, 600, 400},
            {420, 350, 550, 500, 800},
            {420, 350, 200, 400, 800},
            {250, 350, 100, 350, 800},
            {700, 350, 172, 300, 650},
            {700, 350, 650, 300, 500},
            {900, 1200, 650, 500, 650},
            {300, 900, 300, 100, 650},
            {250, 276, 400, 100, 600},
            {457, 276, 380, 100, 475},
            {465, 276, 571, 200, 800},
            {424, 276, 400, 600, 800},
            {700, 550, 400, 250, 800},
            {579, 1122, 300, 300, 800},
            {900, 450, 400, 300, 700},
            {167, 450, 70, 300, 775},
            {167, 450, 506, 300, 400},
            {167, 450, 400, 300, 550},
            {200, 450, 650, 600, 700},
            {1000, 440, 600, 250, 700},
            {250, 1000, 300, 310, 500},
            {250, 278, 300, 320, 750},
            {350, 278, 300, 320, 900},
            {280, 278, 250, 320, 250},
            {250, 278, 400, 900, 250},
            {720, 278, 350, 200, 250},
            {250, 1200, 210, 200, 900},
            {250, 900, 156, 200, 800},
            {231, 300, 150, 200, 800},
            {450, 300, 250, 200, 700},
            {250, 300, 475, 600, 700},
            {250, 300, 328, 700, 900},
            {200, 300, 328, 670, 700},
            {328, 600, 400, 610, 800},
            {356, 300, 496, 500, 400},
            {700, 200, 494, 350, 500},
            {450, 200, 100, 200, 500},
            {450, 200, 100, 300, 650},
            {450, 200, 100, 300, 400},
            {177, 200, 450, 500, 400},
            {420, 574, 350, 700, 725},
            {400, 1000, 475, 200, 475},
            {400, 1098, 600, 100, 250},
            {361, 278, 700, 100, 625},
            {250, 278, 150, 100, 700},
            {1000, 278, 300, 500, 250},
            {300, 278, 300, 600, 250},
            {250, 700, 300, 680, 250},
            {300, 300, 400, 800, 500},
            {507, 250, 156, 400, 500},
            {600, 250, 300, 350, 400},
            {250, 250, 300, 300, 700},
            {300, 250, 200, 400, 800},
            {380, 250, 150, 400, 250},
            {300, 1000, 500, 780, 250},
            {322, 1000, 550, 900, 250},
            {167, 70, 130, 90, 200},
            {167, 70, 130, 90, 200},
            {167, 70, 130, 70, 200},
            {167, 70, 130, 80, 200},
            {167, 70, 130, 80, 200},
            {700, 450, 500, 600, 400}
    };

    int freeSpinStopNum[][] = {
            {170, 200, 200, 200, 180},
            {200, 200, 200, 200, 180},
            {200, 250, 250, 300, 200},
            {200, 250, 250, 300, 200},
            {200, 150, 250, 300, 200},
            {170, 150, 200, 300, 200},
            {170, 150, 200, 150, 200},
            {170, 200, 200, 150, 180},
            {170, 200, 200, 150, 180},
            {200, 100, 120, 200, 180},
            {200, 100, 120, 200, 180},
            {1000, 400, 120, 200, 600},
            {150, 200, 120, 200, 400},
            {170, 200, 1200, 200, 200},
            {170, 200, 600, 100, 200},
            {300, 150, 600, 100, 200},
            {300, 150, 600, 100, 270},
            {200, 150, 100, 100, 270},
            {140, 150, 100, 150, 300},
            {100, 150, 90, 150, 300},
            {100, 200, 100, 150, 280},
            {170, 200, 100, 150, 270},
            {170, 150, 600, 50, 270},
            {1000, 150, 600, 50, 270},
            {800, 300, 600, 100, 250},
            {800, 200, 100, 100, 250},
            {300, 200, 100, 400, 250},
            {300, 300, 100, 400, 500},
            {300, 300, 100, 400, 200},
            {200, 200, 100, 400, 200},
            {200, 200, 100, 400, 200},
            {150, 200, 100, 450, 200},
            {250, 200, 120, 250, 150},
            {150, 75, 200, 200, 150},
            {300, 75, 200, 350, 150},
            {300, 75, 120, 350, 150},
            {300, 100, 100, 310, 150},
            {200, 100, 100, 300, 120},
            {200, 95, 150, 300, 100},
            {200, 80, 150, 300, 250},
            {150, 30, 50, 250, 250},
            {150, 30, 50, 250, 300},
            {800, 30, 100, 300, 300},
            {900, 30, 100, 300, 300},
            {1000, 30, 100, 300, 300},
            {200, 75, 100, 250, 200},
            {100, 75, 100, 250, 200},
            {200, 300, 1200, 250, 200},
            {200, 300, 120, 250, 230},
            {150, 200, 120, 140, 200},
            {100, 250, 200, 140, 200},
            {100, 200, 200, 200, 200},
            {100, 100, 200, 200, 200},
            {150, 75, 150, 200, 200},
            {150, 75, 100, 140, 200},
            {150, 300, 80, 140, 200},
            {500, 200, 80, 140, 200},
            {800, 200, 80, 190, 200},
            {800, 150, 50, 190, 200},
            {1200, 150, 120, 450, 200},
            {102, 150, 120, 450, 400},
            {150, 180, 100, 450, 700},
            {300, 200, 100, 420, 700},
            {300, 200, 150, 150, 700},
            {200, 200, 150, 150, 646},
            {100, 100, 150, 150, 600},
            {658, 300, 90, 150, 500},
            {720, 200, 90, 140, 200},
            {900, 200, 90, 190, 200},
            {100, 180, 600, 190, 200},
            {100, 180, 600, 1200, 200},
            {170, 180, 400, 140, 200},
            {170, 150, 400, 140, 450},
            {170, 150, 400, 140, 470},
            {170, 200, 400, 140, 100},
            {900, 200, 400, 190, 600},
            {100, 150, 600, 1200, 500},
            {944, 150, 600, 1200, 100},
            {1070, 100, 600, 300, 600},
            {900, 100, 300, 300, 600},
            {150, 200, 300, 300, 700},
            {250, 200, 300, 140, 900},
            {250, 300, 250, 140, 250},
            {200, 300, 200, 120, 250},
            {200, 300, 200, 100, 250},
            {250, 175, 250, 100, 320},
            {250, 225, 150, 140, 400},
            {170, 350, 1500, 140, 900},
            {200, 150, 1376, 1200, 900},
            {152, 150, 200, 1200, 500},
            {150, 200, 200, 1200, 500},
            {1000, 200, 250, 1200, 500},
            {458, 200, 200, 1200, 400},
            {250, 300, 200, 1200, 400},
            {100, 200, 200, 1200, 500},
            {100, 200, 1200, 1200, 500},
            {250, 200, 800, 1200, 500},
            {280, 200, 600, 140, 500},
            {1000, 200, 600, 140, 500},
            {450, 200, 200, 140, 600},
            {200, 300, 120, 120, 600},
            {200, 300, 200, 120, 500},
            {200, 400, 100, 140, 500},
            {250, 400, 100, 140, 500},
            {200, 250, 200, 400, 500},
            {500, 250, 200, 400, 350},
            {800, 250, 200, 400, 350},
            {600, 250, 200, 400, 350},
            {600, 250, 150, 300, 350},
            {250, 250, 1200, 300, 500},
            {200, 310, 200, 300, 500},
            {200, 350, 200, 300, 590},
            {100, 1450, 100, 300, 350},
            {300, 180, 100, 250, 350},
            {150, 180, 600, 250, 400},
            {150, 150, 600, 300, 360},
            {150, 150, 600, 300, 250},
            {150, 1450, 700, 300, 250},
            {100, 250, 700, 250, 250},
            {200, 250, 700, 500, 180},
            {250, 250, 700, 500, 180},
            {150, 250, 700, 310, 200},
            {250, 250, 800, 250, 180},
            {250, 250, 600, 400, 180},
            {100, 1450, 800, 460, 180},
            {250, 1400, 800, 546, 700},
            {250, 1400, 90, 500, 700},
            {190, 1400, 90, 500, 700},
            {200, 1000, 90, 1200, 600},
            {150, 940, 200, 300, 600},
            {1200, 500, 600, 400, 600},
            {1200, 250, 600, 600, 300},
            {800, 300, 600, 500, 300},
            {500, 250, 90, 300, 300},
            {150, 250, 90, 250, 400},
            {150, 250, 200, 370, 100},
            {150, 1000, 80, 1000, 600},
            {300, 600, 220, 200, 600},
            {250, 200, 230, 200, 600},
            {550, 150, 250, 200, 600},
            {1130, 150, 800, 200, 600},
            {800, 150, 800, 300, 250},
            {500, 1400, 800, 150, 250},
            {500, 950, 200, 150, 200},
            {1200, 250, 200, 150, 200},
            {170, 300, 200, 300, 200},
            {170, 300, 800, 250, 500},
            {170, 300, 800, 300, 500},
            {100, 415, 250, 300, 250},
            {500, 1500, 150, 200, 250},
            {240, 940, 150, 200, 250},
            {192, 180, 200, 200, 250},
            {600, 400, 200, 300, 370},
            {400, 450, 600, 300, 180},
            {1000, 350, 800, 1000, 180},
            {200, 260, 600, 140, 180},
            {250, 1000, 90, 140, 100},
            {240, 600, 250, 140, 200},
            {220, 300, 600, 140, 600},
            {250, 250, 600, 140, 300},
            {240, 250, 600, 500, 300},
            {240, 250, 200, 800, 300},
            {150, 371, 200, 1000, 200},
            {240, 600, 200, 300, 200},
            {250, 1500, 300, 660, 100},
            {150, 300, 300, 500, 400},
            {1400, 300, 100, 200, 400},
            {1200, 240, 100, 200, 600},
            {800, 125, 100, 200, 500},
            {100, 150, 800, 300, 500},
            {250, 1000, 800, 400, 500},
            {250, 950, 800, 200, 500},
            {250, 1400, 1200, 200, 600},
            {250, 400, 600, 200, 300},
            {250, 250, 600, 200, 300},
            {100, 250, 200, 300, 180},
            {400, 250, 180, 300, 180},
            {500, 1400, 190, 600, 180},
            {400, 1450, 800, 800, 500},
            {800, 200, 600, 500, 500},
            {300, 125, 200, 300, 500},
            {250, 150, 200, 300, 250},
            {300, 300, 200, 300, 250},
            {250, 400, 100, 490, 180},
            {170, 1600, 1200, 800, 180},
            {170, 950, 1000, 800, 180},
            {170, 150, 100, 100, 270},
            {170, 150, 100, 100, 270},
            {170, 150, 100, 100, 270},
            {170, 150, 100, 100, 270},
            {170, 150, 100, 100, 270},
            {200, 1400, 800, 450, 400}
    };

    //    [0,0,0,0,0] // Invisible
//    ===========
//    [1,1,1,1,1]
//    [2,2,2,2,2]
//    [3,3,3,3,3]
//    ===========
//    [4,4,4,4,4] // Invisible
    int hitLineTable[][] = {
            {2, 2, 2, 2, 2}, // 1
            {1, 1, 1, 1, 1}, // 2
            {3, 3, 3, 3, 3}, // 3
            {3, 2, 1, 2, 3}, // 4
            {1, 2, 3, 2, 1}, // 5
            {3, 3, 2, 3, 3}, // 6
            {1, 1, 2, 1, 1}, // 7
            {2, 1, 1, 1, 2}, // 8
            {2, 3, 3, 3, 2}, // 9
            {3, 2, 2, 2, 3}, // 10
            {1, 2, 2, 2, 1}, // 11
            {3, 2, 3, 2, 3}, // 12
            {1, 2, 1, 2, 1}, // 13
            {2, 3, 2, 3, 2}, // 14
            {2, 1, 2, 1, 2}, // 15
            {2, 2, 3, 2, 2}, // 16
            {2, 2, 1, 2, 2}, // 17
            {3, 1, 3, 1, 3}, // 18
            {1, 3, 1, 3, 1}, // 19
            {2, 3, 1, 3, 2}, // 20
            {2, 1, 3, 1, 2}, // 21
            {3, 3, 1, 3, 3}, // 22
            {1, 1, 3, 1, 1}, // 23
            {3, 1, 1, 1, 3}, // 24
            {1, 3, 3, 3, 1}, // 25
            {3, 1, 2, 1, 3}, // 26
            {1, 3, 2, 3, 1}, // 27
            {3, 3, 2, 1, 1}, // 28
            {1, 1, 2, 3, 3}, // 29
            {3, 3, 3, 2, 1}, // 30
    };
}
